package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState


class EfectoUtilizarObjetoUtil(private val nombreObjeto: String) : Efecto(100) {
    override fun ejecutar(): String {
        val tieneObjeto = GameState.jugador.inventario.removeIf { it.nombre == nombreObjeto }
        if (tieneObjeto){
            GameState.eventoActual.actualizarFinalizado(true)
            return "Has usado el objeto $nombreObjeto de tu inventario. Has logrado escapar"
        }else{
            return "No tienes el $nombreObjeto en tu inventario"
        }
    }
}