package com.example.ellegadodepintia.exploradoresDePintia.model

import com.example.ellegadodepintia.exploradoresDePintia.model.efecto.Efecto

open class Opcion(
    val descripcion: String,
    val atributoRequerida: Atributo,
    private val efecto: Efecto
) {
    open fun aplicarEfecto(): String {
        if (atributoRequerida != Atributo.Nula) {
            efecto.probabilidadExito += GameState.jugador.atributos[atributoRequerida] ?: 0
        }
        return efecto.ejecutar()
    }
}
