package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory

import com.example.ellegadodepintia.exploradoresDePintia.model.Opcion

class EventoRiesgo(
    val id : Int,
    override val descripcion: String,
    override val dificultad: Int,
    override val opciones: MutableList<Opcion>,
    override val imagen: Int, resistenciaMax: Int,
    override var finalizado: Boolean,
) : Evento(descripcion, dificultad, opciones, imagen, resistenciaMax, resistenciaMax, finalizado){
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (other == null || javaClass != other.javaClass) return false
        other as EventoRiesgo

        return id == other.id
    }

    override fun hashCode(): Int {
        return 31 * id.hashCode()
    }
}

